html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #a41c1e;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.mud-nav-link:hover{
    color: var(--mud-palette-secondary)
}

.mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled) {
    background-color: var(--mud-palette-action-default-hover);
    color: var(--mud-palette-secondary)
}

.mud-nav-link.active:not(.mud-nav-link-disabled) {
    background-color: var(--mud-palette-action-default-hover);
    color: var(--mud-palette-secondary)
}

.ol-scale-bar {
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}

.mud-main-content {
    padding-top: calc(var(--mud-appbar-height) + 10px);
}
.mud-drawer-open-responsive-md-left .mud-main-content {
    margin-left: calc(var(--mud-drawer-width-left) + 10px);
    width: calc(100% - var(--mud-drawer-width-left) - 10px);
}

.mud-appbar {
    margin: 10px;
    border-radius: 20px;
    width: calc(100% - 20px);
}

.mud-drawer-open-responsive-md-left.mud-drawer-left-clipped-never .mud-appbar {
    margin-left: calc(var(--mud-drawer-width-left) + 20px);
    width: calc(100% - var(--mud-drawer-width-left) - 30px);
}

.mud-drawer.mud-drawer.mud-drawer-responsive.mud-drawer-pos-left, .mud-drawer.mud-drawer-persistent.mud-drawer-pos-left {
    border-radius: 20px;
    margin: 10px;
    height: calc(100% - 20px);
    width: calc(var(--mud-drawer-width-left))
}

.mud-drawer.mud-drawer-responsive.mud-drawer-pos-left.mud-drawer--closed, .mud-drawer.mud-drawer-persistent.mud-drawer-pos-left.mud-drawer--closed {
    left: calc(-1*var(--mud-drawer-width,var(--mud-drawer-width-left) - 10px))
}

.mud-drawer.mud-drawer.mud-drawer-responsive.mud-drawer-pos-right, .mud-drawer.mud-drawer-persistent.mud-drawer-pos-right {
    border-radius: 20px;
    margin: 10px;
    height: calc(100% - var(--mud-appbar-height) - 26px);
    width: calc(var(--mud-drawer-width-left))
}

.mud-drawer.mud-drawer-responsive.mud-drawer-pos-right.mud-drawer--closed, .mud-drawer.mud-drawer-persistent.mud-drawer-pos-right.mud-drawer--closed {
    right: calc(-1*var(--mud-drawer-width,var(--mud-drawer-width-left) - 10px))
}

.mud-drawer-header {
    background-color: var(--mud-palette-primary);
}

.fill-full-screen {
    height: 100vh;
    min-height: 100vh;
}

.map-full-screen {
    height: 100vh;
    min-height: 100vh;
    overflow: hidden;
    position: absolute;
    width: 100vw;
    top: 0px;
    left: 0px
}

/* https://github.com/postcss/postcss-100vh-fix Avoid Chrome to see Safari hack */
@supports (-webkit-touch-callout: none) {
    .map-full-screen, .fill-full-screen {
        /* The hack for Safari */
        height: -webkit-fill-available;
        min-height: -webkit-fill-available;
    }
}

.mud-table, .mud-card, .mud-paper, .mud-button, .mud-icon-button, .mud-dialog {
    border-radius: 20px;
    --mud-default-borderradius: 20px
}

.selected {
    background-color: var(--mud-palette-secondary) !important;
}

    .selected > td {
        color: var(--mud-palette-text-primary) !important;
    }

        .selected > td .mud-input {
            color: var(--mud-palette-text-primary) !important;
        }

.mud-icon-button {
    padding: 8px;
}

:root{
    --mud-default-borderradius: 20px
}

.mud-tab.mud-tab-active {
    color: var(--mud-palette-secondary);
}
/*Does not work, changed z-index in ol.js : Search for overlayContainerStopEvent_.style.zIndex*/
.ol-overlaycontainer-stopevent{
    z-index: 999999;
}

.ol-control {
    border-radius: 20px;
}

.ol-control button {
    border-radius: 20px;
}